/// buttons

// adding special chill actions buttons
$chill-theme-buttons: (
   "submit":        $chill-green,
   "save":          $chill-green,
   "create":        $chill-green,
   "new":           $chill-green,
   "duplicate":     $chill-green,
   "not-duplicate": $chill-green,
   "reset":         $chill-red,
   "delete":        $chill-red,
   "danger":        $chill-red,
   "remove":        $chill-red,
   "action":        $chill-orange,
   "edit":          $chill-orange,
   "update":        $chill-orange,
   "wopilink":      $chill-orange,
   "show":          $chill-blue,
   "view":          $chill-blue,
   "misc":          $gray-300,
   "download":      $gray-300,
   "cancel":        $gray-300,
   "choose":        $gray-300,
   "notify":        $chill-blue,
   "search":        $gray-300,
   "unlink":        $chill-red,
   "tpchild":       $chill-green,
);

@each $button, $color in $chill-theme-buttons {
  .btn-#{$button} {
    @include button-variant($color, $color);
  }
}

@each $button, $color in $chill-theme-buttons {
  .btn-outline-#{$button} {
    @include button-outline-variant($color);
  }
}

.btn {
   &.btn-submit,
   &.btn-save,
   &.btn-create,
   &.btn-new,
   &.btn-duplicate,
   &.btn-not-duplicate,
   &.btn-reset,
   &.btn-delete,
   &.btn-danger,
   &.btn-remove,
   &.btn-unlink,
   &.btn-action,
   &.btn-edit,
   &.btn-tpchild,
   &.btn-wopilink,
   &.btn-update {
       &, &:hover {
          color: $light;
       }
   }
}

.btn {
   &.btn-new::before,
   &.btn-create::before,
   &.btn-edit::before,
   &.btn-update::before,
   &.btn-wopilink::before,
   &.btn-show::before,
   &.btn-view::before,
   &.btn-save::before,
   &.btn-duplicate::before,
      // &.btn-not-duplicate::before,
      // &.btn-submit::before,
      // &.btn-reset::before,
      // &.btn-action::before,
   &.btn-unlink::before,
   &.btn-delete::before,
   &.btn-remove::before,
   &.btn-choose::before,
   &.btn-notify::before,
   &.btn-tpchild::before,
   &.btn-download::before,
   &.btn-search::before,
   &.btn-cancel::before {
      font: normal normal normal 14px/1 ForkAwesome;
      margin-right: 0.5em;
   }
   &[class*='btn-']:empty {
      &::before {
         margin-right: 0;
      }
   }
}

.btn {
   &.btn-new::before,
   &.btn-create::before    { content: "\f067"; } // fa-plus
   &.btn-edit::before,
   &.btn-update::before    { content: "\f040"; } // fa-pencil
   &.btn-wopilink::before  { content: "\f1dd"; } // fa-paragraph
   &.btn-show::before,
   &.btn-view::before      { content: "\f06e"; } // fa-eye
   &.btn-save::before      { content: "\f0c7"; } // fa-floppy-o
   &.btn-duplicate::before { content: "\f24d"; } // fa-clone  // f0c5 fa-files-o
   &.btn-delete::before    { content: "\f1f8"; } // fa-trash
   &.btn-remove::before    { content: "\f00d"; } // fa-times
   &.btn-cancel::before    { content: "\f060"; } // fa-arrow-left
   &.btn-choose::before    { content: "\f00c"; } // fa-check  // f046 fa-check-square-o
   &.btn-unlink::before    { content: "\f127"; } // fa-chain-broken
   &.btn-notify::before    { content: "\f1d8"; } // fa-paper-plane
   &.btn-tpchild::before   { content: "\f007"; } // fa-user
   &.btn-download::before  { content: "\f019"; } // fa-download
   &.btn-search::before    { content: "\f002"; } // fa-search
}


/// fix text color on themes buttons
.btn-success,
.btn-warning {
   &, &:hover {
      color: $light;
   }
}

/// allow to hide icon (herited from scratch)
.btn {
   &.change-icon {
      &::before {
         content: '';
         margin-right: 0;
      }
   }
}

// fix min-width on small pictos buttons
.btn-sm, .btn-group-sm > .btn {
   min-width: 36px;
}

// Homepage special fast action buttons
div.sticky-buttons {
    position: fixed;
    bottom: 3em;
    right: 2em;
    .btn-circle {
        width: 50px; height: 50px;
        border-radius: 50%;
        text-align: center;
        padding: 0.45rem 0.7rem;
        display: block;
        margin-bottom: 0.5rem;
    }
}
